#!/bin/sh

###############################################################################
# (c) 2014 Force America, Inc.
# Gen 3 upgrade script, necesary for a determined failure if executed on a 
# Gen 4 system.
###############################################################################


# Global variables.
LOGFILE=/var/log/6100_software_update.log
MAIN_DIR=/tmp/upgrade


###############################################################################
# Represents the main point of entry for the upgrade script.
###############################################################################

# Move to MAIN_DIR to ensure we can find the debian packages.
cd $MAIN_DIR

	# If this script is called a user attempted to install a Gen 3 upgrade
	# onto a Gen 4 system.  Fail out the upgrade.
	echo "Noncompatible generation upgrade file executed.  Upgrade cancelled." >> $LOGFILE

	# Tell the user the upgrade was not completed successfully.
	/6100/rc/pyclient set bool UpgradeSuccessful ""

	# Output a console message for old upgrades
	echo "Upgrade failed!"
	echo "Shut off key power to the system."

exit 0

